tag_badges = set(['htaccess',
                  'net',
                  'net-2-0',
                  'net-3-5',
                  'net-4-0',
                  'net-4-5',
                  '3d',
                  'abap',
                  'accessibility',
                  'access-vba',
                  'achartengine',
                  'actionbarsherlock',
                  'actionlistener',
                  'actionscript-3',
                  'active-directory',
                  'activerecord',
                  'ada',
                  'admob',
                  'ado-net',
                  'afnetworking',
                  'aggregate-functions',
                  'agile',
                  'ajax',
                  'akka',
                  'alarmmanager',
                  'algorithm',
                  'amazon-ec2',
                  'amazon-web-services',
                  'android',
                  'android-actionbar',
                  'android-activity',
                  'android-asynctask',
                  'android-fragments',
                  'android-gcm',
                  'android-intent',
                  'android-layout',
                  'android-listview',
                  'android-ndk',
                  'android-service',
                  'android-studio',
                  'android-widget',
                  'angularjs',
                  'angularjs-directive',
                  'annotations',
                  'ant',
                  'antlr',
                  'antlr3',
                  'apache',
                  'apache-camel',
                  'apache-poi',
                  'applescript',
                  'applet',
                  'arm',
                  'arraylist',
                  'arrays',
                  'asp-net',
                  'asp-net-ajax',
                  'asp-net-mvc',
                  'asp-net-mvc-2',
                  'asp-net-mvc-3',
                  'asp-net-mvc-4',
                  'asp-net-mvc-routing',
                  'asp-net-optimization',
                  'asp-net-web-api',
                  'asp-classic',
                  'assembly',
                  'asset-pipeline',
                  'async-await',
                  'asynchronous',
                  'attributes',
                  'audio',
                  'authentication',
                  'autocomplete',
                  'autofac',
                  'autofixture',
                  'automapper',
                  'awk',
                  'awt',
                  'axapta',
                  'azure',
                  'backbone-js',
                  'backgroundworker',
                  'bash',
                  'batch-file',
                  'beautifulsoup',
                  'big-o',
                  'binding',
                  'blackberry',
                  'boost',
                  'boost-asio',
                  'boost-spirit',
                  'boost-spirit-qi',
                  'boto',
                  'branch',
                  'breeze',
                  'broadcastreceiver',
                  'byte',
                  'bytearray',
                  'c',
                  'c-sharp',
                  'c-3-0',
                  'c-4-0',
                  'c-5-0',
                  'c',
                  'c0x',
                  'c11',
                  'cbuilder',
                  'c-cli',
                  'cakephp',
                  'calendar',
                  'canvas',
                  'cassandra',
                  'casting',
                  'castle-windsor',
                  'celery',
                  'character-encoding',
                  'ckeditor',
                  'class',
                  'clearcase',
                  'clickonce',
                  'clojure',
                  'clr',
                  'cluster-analysis',
                  'cmake',
                  'cmd',
                  'cobol',
                  'cocoa',
                  'cocoapods',
                  'cocoa-touch',
                  'cocos2d',
                  'cocos2d-iphone',
                  'code-first',
                  'codeigniter',
                  'coding-style',
                  'coffeescript',
                  'coldfusion',
                  'collections',
                  'com',
                  'com-interop',
                  'common-lisp',
                  'compact-framework',
                  'compiler',
                  'complexity-theory',
                  'composer-php',
                  'composite-component',
                  'concurrency',
                  'constructor',
                  'contenteditable',
                  'controller',
                  'cordova',
                  'core-animation',
                  'core-data',
                  'core-graphics',
                  'core-plot',
                  'cors',
                  'couchdb',
                  'cryptography',
                  'crystal-reports',
                  'css',
                  'css3',
                  'css-selectors',
                  'csv',
                  'cuda',
                  'curl',
                  'cxf',
                  'd',
                  'd3-js',
                  'dapper',
                  'dart',
                  'data-frame',
                  'data-table',
                  'dataannotations',
                  'database',
                  'database-design',
                  'data-binding',
                  'datagridview',
                  'data-structures',
                  'datatable',
                  'date',
                  'datetime',
                  'debugging',
                  'decimal',
                  'delegates',
                  'delphi',
                  'delphi-2010',
                  'delphi-7',
                  'delphi-xe',
                  'delphi-xe2',
                  'dependency-injection',
                  'design',
                  'design-patterns',
                  'devexpress',
                  'dictionary',
                  'directshow',
                  'django',
                  'django-admin',
                  'django-forms',
                  'django-models',
                  'django-rest-framework',
                  'django-templates',
                  'django-views',
                  'dll',
                  'dnn',
                  'dns',
                  'docker',
                  'doctrine2',
                  'dom',
                  'domain-driven-design',
                  'dotnetopenauth',
                  'double',
                  'doxygen',
                  'drop-down-menu',
                  'drupal',
                  'drupal-6',
                  'drupal-7',
                  'dvcs',
                  'dynamic',
                  'dynamics-crm-2011',
                  'eclipse',
                  'eclipselink',
                  'eclipse-plugin',
                  'ef-code-first',
                  'ejb-3-0',
                  'el',
                  'elasticsearch',
                  'elisp',
                  'emacs',
                  'embedded',
                  'ember-js',
                  'encoding',
                  'encryption',
                  'entity',
                  'entity-framework',
                  'entity-framework-4',
                  'entity-framework-4-1',
                  'entity-framework-5',
                  'enums',
                  'equals',
                  'erlang',
                  'event-handling',
                  'events',
                  'excel',
                  'excel-formula',
                  'excel-vba',
                  'exception',
                  'exception-handling',
                  'express',
                  'expression-trees',
                  'extension-methods',
                  'extjs',
                  'extjs4',
                  'f',
                  'facebook',
                  'facebook-graph-api',
                  'facelets',
                  'fancybox',
                  'fancybox-2',
                  'ffmpeg',
                  'fft',
                  'fiddler',
                  'file',
                  'file-io',
                  'file-upload',
                  'firebase',
                  'firefox',
                  'firefox-addon',
                  'flash',
                  'flask',
                  'flex',
                  'floating-point',
                  'flot',
                  'fluent-nhibernate',
                  'foreach',
                  'for-loop',
                  'forms',
                  'forms-authentication',
                  'fortran',
                  'function',
                  'functional-programming',
                  'gae-datastore',
                  'garbage-collection',
                  'gcc',
                  'gdb',
                  'generics',
                  'ggplot2',
                  'ghc',
                  'ghostscript',
                  'git',
                  'git-branch',
                  'github',
                  'gitlab',
                  'gitolite',
                  'git-submodules',
                  'git-svn',
                  'glassfish',
                  'glsl',
                  'gmaps4rails',
                  'gnuplot',
                  'go',
                  'google-analytics',
                  'google-app-engine',
                  'google-apps-script',
                  'google-bigquery',
                  'google-chrome',
                  'google-chrome-extension',
                  'google-maps',
                  'google-maps-api-3',
                  'google-visualization',
                  'gorm',
                  'gradle',
                  'grails',
                  'graphics',
                  'graphviz',
                  'greasemonkey',
                  'greatest-n-per-group',
                  'grep',
                  'gridview',
                  'groovy',
                  'gruntjs',
                  'gtk',
                  'guava',
                  'gui',
                  'guice',
                  'gwt',
                  'h2',
                  'hadoop',
                  'haml',
                  'hash',
                  'hashmap',
                  'haskell',
                  'heroku',
                  'hibernate',
                  'highcharts',
                  'hsqldb',
                  'html',
                  'html5',
                  'html5-canvas',
                  'html-helper',
                  'http',
                  'https',
                  'ibeacon',
                  'ibm-midrange',
                  'ide',
                  'ienumerable',
                  'if-statement',
                  'iis',
                  'iis-7',
                  'iis-express',
                  'image',
                  'imagemagick',
                  'image-processing',
                  'indexing',
                  'indy',
                  'indy10',
                  'informix',
                  'inheritance',
                  'initialization',
                  'inno-setup',
                  'installer',
                  'installshield',
                  'intellij-idea',
                  'interface',
                  'internet-explorer',
                  'internet-explorer-7',
                  'interop',
                  'inversion-of-control',
                  'io',
                  'ioc-container',
                  'ios',
                  'ios7',
                  'ipad',
                  'iphone',
                  'ipython',
                  'iterator',
                  'itext',
                  'itextsharp',
                  'ivy',
                  'jackson',
                  'jar',
                  'jasper-reports',
                  'java',
                  'java-8',
                  'javabeans',
                  'java-ee',
                  'java-ee-6',
                  'javafx',
                  'javafx-2',
                  'javamail',
                  'java-me',
                  'javascript',
                  'javascript-events',
                  'jaxb',
                  'jboss',
                  'jbutton',
                  'jdbc',
                  'jframe',
                  'jfreechart',
                  'jodatime',
                  'join',
                  'joomla',
                  'jpa',
                  'jpa-2-0',
                  'jpanel',
                  'jqgrid',
                  'jquery',
                  'jquery-mobile',
                  'jquery-plugins',
                  'jquery-selectors',
                  'jquery-ui',
                  'jquery-ui-autocomplete',
                  'jquery-validate',
                  'jscrollpane',
                  'jsf',
                  'jsf-2',
                  'json',
                  'json-net',
                  'jsoup',
                  'jsp',
                  'jstl',
                  'jtable',
                  'jtextarea',
                  'junit',
                  'jvm',
                  'kendo-ui',
                  'kineticjs',
                  'knitr',
                  'knockout-js',
                  'lambda',
                  'language-agnostic',
                  'laravel',
                  'laravel-4',
                  'latex',
                  'layout',
                  'layout-manager',
                  'ldap',
                  'less',
                  'libgdx',
                  'liferay',
                  'linker',
                  'linq',
                  'linqpad',
                  'linq-to-entities',
                  'linq-to-objects',
                  'linq-to-sql',
                  'linq-to-xml',
                  'linux',
                  'linux-kernel',
                  'lisp',
                  'list',
                  'list-comprehension',
                  'listview',
                  'locking',
                  'log4net',
                  'logback',
                  'logging',
                  'loops',
                  'lotus-notes',
                  'lua',
                  'lucene',
                  'lwuit',
                  'machine-learning',
                  'macros',
                  'magento',
                  'make',
                  'makefile',
                  'managed-bean',
                  'mapkit',
                  'mapreduce',
                  'marionette',
                  'math',
                  'matlab',
                  'matplotlib',
                  'matrix',
                  'maven',
                  'maven-2',
                  'mef',
                  'memory',
                  'memory-management',
                  'mercurial',
                  'merge',
                  'meteor',
                  'methods',
                  'mkmapview',
                  'mockito',
                  'model-binding',
                  'model-view-controller',
                  'mod-rewrite',
                  'mod-wsgi',
                  'mongodb',
                  'mongodb-csharp',
                  'mongoose',
                  'mono',
                  'monodevelop',
                  'monodroid',
                  'monotouch',
                  'mootools',
                  'moxy',
                  'mpi',
                  'mpmovieplayercontroller',
                  'ms-access',
                  'ms-access-2007',
                  'msbuild',
                  'msysgit',
                  'mule',
                  'multithreading',
                  'mvvm',
                  'mvvmcross',
                  'mysql',
                  'mysqli',
                  'namespaces',
                  'neo4j',
                  'networking',
                  'nfc',
                  'nhibernate',
                  'ninject',
                  'nlog',
                  'nlp',
                  'node-js',
                  'nokogiri',
                  'nservicebus',
                  'nsis',
                  'nspredicate',
                  'nuget',
                  'null',
                  'nullable',
                  'numpy',
                  'object',
                  'objective-c',
                  'ocaml',
                  'oop',
                  'opencart',
                  'opencv',
                  'opengl',
                  'opengl-es',
                  'openid',
                  'openmp',
                  'optimization',
                  'oracle',
                  'oracle10g',
                  'oracle11g',
                  'orchardcms',
                  'orm',
                  'ormlite',
                  'osgi',
                  'osx',
                  'outlook',
                  'pandas',
                  'parallel-processing',
                  'parameters',
                  'parsing',
                  'paypal',
                  'pdf',
                  'pdo',
                  'performance',
                  'perl',
                  'phonegap',
                  'php',
                  'phpexcel',
                  'phpstorm',
                  'phpunit',
                  'pinvoke',
                  'pipe',
                  'pivot',
                  'playframework',
                  'playframework-2-0',
                  'plone',
                  'plot',
                  'plpgsql',
                  'plsql',
                  'plugins',
                  'poco',
                  'pointers',
                  'polymer',
                  'polymorphism',
                  'post',
                  'postgresql',
                  'postgresql-9-1',
                  'powershell',
                  'powershell-v2-0',
                  'preprocessor',
                  'primefaces',
                  'prism',
                  'profiling',
                  'programming-languages',
                  'proguard',
                  'prolog',
                  'promise',
                  'properties',
                  'protobuf-net',
                  'protocol-buffers',
                  'pthreads',
                  'push-notification',
                  'pydev',
                  'pyparsing',
                  'pyqt',
                  'pyqt4',
                  'pyramid',
                  'python',
                  'python-2-7',
                  'python-3-x',
                  'python-requests',
                  'qt',
                  'quickbooks',
                  'r',
                  'racket',
                  'rails-activerecord',
                  'rally',
                  'random',
                  'ravendb',
                  'razor',
                  'rcpp',
                  'rdf',
                  'recursion',
                  'redirect',
                  'redis',
                  'reference',
                  'reflection',
                  'regex',
                  'reporting-services',
                  'repository',
                  'repository-pattern',
                  'reshape',
                  'rest',
                  'restkit',
                  'richfaces',
                  'rspec',
                  'ruby',
                  'rubymine',
                  'ruby-on-rails',
                  'ruby-on-rails-3',
                  'ruby-on-rails-4',
                  'rvm',
                  'salesforce',
                  'sap',
                  'sas',
                  'sass',
                  'sbt',
                  'scala',
                  'scala-collections',
                  'scheme',
                  'scikit-learn',
                  'scipy',
                  'scripting',
                  'security',
                  'sed',
                  'select',
                  'selection',
                  'selenium',
                  'serialization',
                  'serial-port',
                  'service',
                  'service-broker',
                  'servicestack',
                  'servlet-filters',
                  'servlets',
                  'session',
                  'shader',
                  'shared-libraries',
                  'sharepoint',
                  'shell',
                  'signal-processing',
                  'signalr',
                  'silverlight',
                  'silverlight-4-0',
                  'simd',
                  'simplexml',
                  'sinatra',
                  'singleton',
                  'sitecore',
                  'slickgrid',
                  'smalltalk',
                  'sockets',
                  'solr',
                  'sonar',
                  'sorting',
                  'sparql',
                  'spotify',
                  'spring',
                  'spring-data',
                  'spring-integration',
                  'spring-mvc',
                  'spring-security',
                  'sprite-kit',
                  'sql',
                  'sqlalchemy',
                  'sql-injection',
                  'sqlite',
                  'sqlite3',
                  'sql-server',
                  'sql-server-2005',
                  'sql-server-2008',
                  'sql-server-2008-r2',
                  'sql-server-2012',
                  'sql-server-ce',
                  'sse',
                  'ssh',
                  'ssis',
                  'ssl',
                  'stata',
                  'static',
                  'stl',
                  'stored-procedures',
                  'stream',
                  'string',
                  'struct',
                  'struts2',
                  'sublimetext2',
                  'subprocess',
                  'subsonic',
                  'svg',
                  'svn',
                  'swing',
                  'swt',
                  'symfony2',
                  'synchronization',
                  'syntax',
                  'system-reactive',
                  'task-parallel-library',
                  'tcl',
                  'tcp',
                  'tdd',
                  'templates',
                  'tfs',
                  'thread-safety',
                  'three-js',
                  'time',
                  'timezone',
                  'tinymce',
                  'tkinter',
                  'tomcat',
                  'tortoisesvn',
                  'transactions',
                  'tridion',
                  'tridion-2011',
                  'tsql',
                  'tuples',
                  'twisted',
                  'twitter-bootstrap',
                  'twitter-bootstrap-3',
                  'type-conversion',
                  'types',
                  'typescript',
                  'uitableview',
                  'uitableviewcell',
                  'uiview',
                  'underscore-js',
                  'unicode',
                  'unit-testing',
                  'universal-image-loader',
                  'unix',
                  'unpivot',
                  'url',
                  'url-rewriting',
                  'user-controls',
                  'user-interface',
                  'userscripts',
                  'utf-8',
                  'validation',
                  'variables',
                  'vb-net',
                  'vb6',
                  'vba',
                  'vbscript',
                  'vector',
                  'verilog',
                  'version-control',
                  'vhdl',
                  'viewmodel',
                  'vim',
                  'vimscript',
                  'visual-c',
                  'visual-studio',
                  'visual-studio-2008',
                  'visual-studio-2010',
                  'visual-studio-2012',
                  'watir',
                  'watir-webdriver',
                  'wcf',
                  'wcf-binding',
                  'web-xml',
                  'web2py',
                  'web-applications',
                  'webdriver',
                  'webgl',
                  'web-services',
                  'websocket',
                  'websphere-mq',
                  'winapi',
                  'windbg',
                  'windows',
                  'windows-7',
                  'windows-8',
                  'windows-azure-storage',
                  'windows-ce',
                  'windows-installer',
                  'windows-mobile',
                  'windows-phone-7',
                  'windows-phone-8',
                  'windows-runtime',
                  'windows-services',
                  'winforms',
                  'winrt-xaml',
                  'wix',
                  'wmi',
                  'wolfram-mathematica',
                  'wordpress',
                  'workflow-foundation-4',
                  'worklight',
                  'wpf',
                  'wsgi',
                  'wxpython',
                  'x86',
                  'xamarin',
                  'xaml',
                  'xcode',
                  'xcode4',
                  'xhtml',
                  'xml',
                  'xml-serialization',
                  'xna',
                  'xpages',
                  'xpath',
                  'xsd',
                  'xslt',
                  'xslt-1-0',
                  'xslt-2-0',
                  'xts',
                  'yesod',
                  'yii',
                  'z3',
                  'zend-framework',
                  'zend-framework2',
                  'zope',
])
